Export contacts to CSV

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://docs.usehearsay.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "integrations MCP server": {
    "url": "https://docs.usehearsay.com/mcp"
  }
}

Close
POST /case/contacts/{orgId}/case/{caseId}/export

Queues a CSV export of the case's contacts and returns the export job id.

Headers

  • organization string Required

    id of the selected (active) organization

Path parameters

  • orgId string Required

    ID of the organization

  • caseId string Required

    ID of the case

application/json

Body Required

  • searchText string

    Minimum length is 3, maximum length is 100.

  • conversation string
  • device string

Responses

  • 201 application/json
    Hide response attributes Show response attributes object
    • data object Required
      Hide data attribute Show data attribute object
      • jobId string
    • statusCode number Required
    • timestamp string(date-time) Required
POST /case/contacts/{orgId}/case/{caseId}/export
curl \
 --request POST 'http://api.example.com/case/contacts/{orgId}/case/{caseId}/export' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --header "organization: string" \
 --data '{
  "searchText": "string",
  "conversation": "string",
  "device": "string"
}'
Request examples
# Headers
organization: string

# Payload
{
  "searchText": "string",
  "conversation": "string",
  "device": "string"
}
Response examples (201)
{
  "data": {
    "jobId": "job-1234"
  },
  "statusCode": 201,
  "timestamp": "2026-01-15T10:15:00.000Z"
}